<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@mipmap/bg_new_main">

    <com.naz.sdkdemo.weight.TitleBar
        android:id="@id/title_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <LinearLayout
        android:id="@+id/ll_desc"
        android:layout_width="match_parent"
        android:layout_height="60dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_view"
        android:background="@mipmap/bg_white_round_background"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="16dp"
        android:gravity="center_vertical">

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@mipmap/icon_red_flag"
            android:text="上标扫描"
            android:textColor="#ff333333"
            android:textSize="22sp"
            android:drawablePadding="12dp"/>
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="11dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ll_desc"
        app:layout_constraintBottom_toTopOf="@+id/btn_cancel"
        android:layout_marginHorizontal="16dp"
        >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/ll_qrcode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tv_qrcode"
                    android:layout_width="match_parent"
                    android:layout_height="140dp"
                    android:text="请扫描包装码"
                    android:textColor="#ff666666"
                    android:textSize="18sp"
                    android:gravity="center"
                    android:background="@mipmap/bg_white_round_background"/>

                <TextView
                    android:id="@+id/tv_tips"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="核对正确，请根据商标仓门灯光提示上二号仓"
                    android:textColor="#ff009e40"
                    android:textSize="18sp"
                    android:gravity="center"
                    android:paddingVertical="4dp"
                    android:background="@drawable/bg_tip_success"
                    android:visibility="gone"/>

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                app:layout_constraintTop_toBottomOf="@id/ll_qrcode"
                app:layout_constraintLeft_toLeftOf="parent"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <LinearLayout
            android:id="@+id/ll_empty"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:gravity="center"
            android:visibility="gone"
            android:background="@mipmap/bg_white_round_background">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/icon_save_trademark_empty"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="正在通知驻点人员"
                android:textColor="#ff666666"
                android:textSize="24sp"
                android:layout_marginTop="35dp" />
        </LinearLayout>


    </FrameLayout>

    <Button
        android:id="@+id/btn_cancel"
        android:layout_width="0dp"
        android:layout_height="54dp"
        android:background="@drawable/bg_button_bg1"
        android:text="取消"
        android:textColor="#ffe6212a"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/btn_sure"/>

    <Button
        android:id="@+id/btn_sure"
        android:layout_width="0dp"
        android:layout_height="54dp"
        android:background="@drawable/bg_button_bg2"
        android:text="确认"
        android:textColor="#ffffffff"
        android:textSize="18sp"
        app:layout_constraintTop_toTopOf="@id/btn_cancel"
        app:layout_constraintLeft_toRightOf="@+id/btn_cancel"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintHorizontal_chainStyle="packed"/>
</androidx.constraintlayout.widget.ConstraintLayout>